Function
assignSeqId
Extracts the sequence id of a sequence file fragment.
assignSeqId(id, seqFragment, formatTag)
Include Headers
seqan/file.h
Parameters

id | The resulting sequence id of the fragment (e.g. Fasta Id). Types: CharString
seqFragment | A sequence file fragment. Types: String
formatTag | A file format tag. Types: AutoSeqFormat, File Format

Remarks
After calling split on a ConcatDirect StringSet to divide a file into fragments, this function can be used to extract the sequence id of every fragment in the StringSet.
See Also
split
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46